# Type alias Resource<C, N, F>

Resource<C, N, F>: F extends ResourceFilter
? Extract<Collection<C, N>, {
[K in F["is"]]: true
}> extends never
? never
: Extract<Collection<C, N>, {
[K in F["is"]]: true
}>["resource"]
: CollectionProperty<"resource", C, N>

#### Type Parameters

- #### C extends Meta.Collections = Meta.Collections

- #### N extends Meta.CollectionName<C> = Meta.CollectionName<C>

- #### F = undefined

- Defined in packages/db/src/meta/collections.ts:81

Generated using TypeDoc